org.apache.felix.ipojo.manipulator.manifest

## Class DirectManifestProvider

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.manifest.DirectManifestProvider

All Implemented Interfaces:
  ManifestProvider

    public class DirectManifestProvider
    extends Object
    implements ManifestProvider

A `DirectManifestProvider` simply serves an already available `Manifest`.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`DirectManifestProvider(Manifest manifest)` Construct a provider servicing the given manifest.

### Method Summary

All Methods Instance Methods Concrete Methods
`Manifest` `getManifest()` Returns the original bundle's Manifest.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectManifestProvider

    public DirectManifestProvider(Manifest manifest)

Construct a provider servicing the given manifest.

Parameters:
  `manifest` - Manifest to be serviced

### Method Detail

#### getManifest

    public Manifest getManifest()

Description copied from interface: `ManifestProvider`
Returns the original bundle's Manifest.

Specified by:
  `getManifest` in interface `ManifestProvider`
Returns:
  Manifest of the bundle